## Package Win32::GUI::DialogBox

Back to the Packages

- Constructor

  - new Win32::GUI::DialogBox(%OPTIONS)

- Events

  - Activate()

  - Deactivate()

  - DropFiles(DROP_HANDLE)

  - Maximize()

  - Minimize()

  - Resize()

  - Terminate()

### Constructor

new Win32::GUI::DialogBox(%OPTIONS)

  Creates a new DialogBox object. See new Win32::GUI::Window().

### Events

Activate()

  Sent when the window is activated.

Deactivate()

  Sent when the window is deactivated.

DropFiles(DROP_HANDLE)

  Sent when the window receives dropped files.

Maximize()

  Sent when the window is maximized.

Minimize()

  Sent when the window is minimized.

Resize()

  Sent when the window is resized.

Terminate()

  Sent when the window is closed. The event should return -1 to terminate the interaction and return control to the perl script; see Dialog().